1. Packages
  2. Packages
  3. Volcenginecc Provider
  4. API Docs
  5. rdspostgresql
  6. getAllowList
Viewing docs for volcenginecc v0.0.32
published on Thursday, Apr 23, 2026 by Volcengine
volcenginecc logo
Viewing docs for volcenginecc v0.0.32
published on Thursday, Apr 23, 2026 by Volcengine

    Data Source schema for Volcengine::RDSPostgreSQL::AllowList

    Using getAllowList

    Two invocation forms are available. The direct form accepts plain arguments and either blocks until the result value is available, or returns a Promise-wrapped result. The output form accepts Input-wrapped arguments and returns an Output-wrapped result.

    function getAllowList(args: GetAllowListArgs, opts?: InvokeOptions): Promise<GetAllowListResult>
    function getAllowListOutput(args: GetAllowListOutputArgs, opts?: InvokeOptions): Output<GetAllowListResult>
    def get_allow_list(id: Optional[str] = None,
                       opts: Optional[InvokeOptions] = None) -> GetAllowListResult
    def get_allow_list_output(id: Optional[pulumi.Input[str]] = None,
                       opts: Optional[InvokeOptions] = None) -> Output[GetAllowListResult]
    func LookupAllowList(ctx *Context, args *LookupAllowListArgs, opts ...InvokeOption) (*LookupAllowListResult, error)
    func LookupAllowListOutput(ctx *Context, args *LookupAllowListOutputArgs, opts ...InvokeOption) LookupAllowListResultOutput

    > Note: This function is named LookupAllowList in the Go SDK.

    public static class GetAllowList 
    {
        public static Task<GetAllowListResult> InvokeAsync(GetAllowListArgs args, InvokeOptions? opts = null)
        public static Output<GetAllowListResult> Invoke(GetAllowListInvokeArgs args, InvokeOptions? opts = null)
    }
    public static CompletableFuture<GetAllowListResult> getAllowList(GetAllowListArgs args, InvokeOptions options)
    public static Output<GetAllowListResult> getAllowList(GetAllowListArgs args, InvokeOptions options)
    
    fn::invoke:
      function: volcenginecc:rdspostgresql/getAllowList:getAllowList
      arguments:
        # arguments dictionary

    The following arguments are supported:

    Id string
    Uniquely identifies the resource.
    Id string
    Uniquely identifies the resource.
    id String
    Uniquely identifies the resource.
    id string
    Uniquely identifies the resource.
    id str
    Uniquely identifies the resource.
    id String
    Uniquely identifies the resource.

    getAllowList Result

    The following output properties are available:

    AllowListCategory string
    Allowlist category. Values: Ordinary: ordinary allowlist; Default: default allowlist. Note: This parameter has no default value when used as a request parameter. If not provided, all categories of allowlists are queried.
    AllowListDesc string
    Description of the allowlist. Up to 200 characters. Default value is an empty string.
    AllowListId string
    Allowlist ID.
    AllowListIpNum int
    Number of IP addresses or IP segments in the allowlist.
    AllowListName string
    Allowlist naming rules: The allowlist name must be unique within the current region. It must start with a Chinese character, letter, or underscore (). It can only contain Chinese characters, letters, numbers, underscores (), and hyphens (-). Length must be 1–128 characters.
    AllowListType string
    Network protocol type used by the allowlist. Value: IPv4 (default).
    AllowLists List<string>
    IP addresses included in the allowlist. Supports the following two formats: IP address format, for example: 10.23.12.24. CIDR IP address range format, for example: 10.23.12.0/24 (Classless Inter-Domain Routing, 24 indicates the prefix length, range is 1–32). Note: Each allowlist can add up to 300 IP addresses or IP ranges. If there are many IPs, it is recommended to merge them into IP ranges, such as 10.23.12.0/24. Do not add IP addresses ending with x.x.x.x/0 except for 0.0.0.0/0 to the allowlist. This field cannot be used together with the UserAllowList field.
    AssociatedInstanceNum int
    Number of instances bound to this allowlist.
    AssociatedInstances List<Volcengine.GetAllowListAssociatedInstance>
    List of instances bound to this allowlist, including instance ID and instance name.
    Id string
    Uniquely identifies the resource.
    IpAddress string
    Query allowlist by IP address. Supports multiple IP addresses separated by commas (,). Note: If the allowlist contains any subset of the provided IP addresses, that allowlist will be returned.
    ModifyMode string
    Allowlist modification mode. Values: Cover (default): overwrite, use the value of the AllowList field to overwrite the original allowlist. Append: add, add the IP addresses in the AllowList field to the original allowlist. Delete: remove, remove the IP addresses in the AllowList field from the original allowlist. At least one IP address must remain. Note: If the allowlist to be modified is bound to a security group, or if you need to bind a security group when modifying the allowlist, ModifyMode can only be set to Cover.
    SecurityGroupBindInfos List<Volcengine.GetAllowListSecurityGroupBindInfo>
    List of security groups bound to this allowlist.
    UpdateSecurityGroup bool
    Whether to update the security group bound to the allowlist. Values: true: update; false: do not update. Default value.
    UserAllowList string
    IP addresses outside the security group that need to be added to the allowlist. You can enter IP addresses or CIDR IP ranges. Note: This field cannot be used together with the AllowList field.
    AllowListCategory string
    Allowlist category. Values: Ordinary: ordinary allowlist; Default: default allowlist. Note: This parameter has no default value when used as a request parameter. If not provided, all categories of allowlists are queried.
    AllowListDesc string
    Description of the allowlist. Up to 200 characters. Default value is an empty string.
    AllowListId string
    Allowlist ID.
    AllowListIpNum int
    Number of IP addresses or IP segments in the allowlist.
    AllowListName string
    Allowlist naming rules: The allowlist name must be unique within the current region. It must start with a Chinese character, letter, or underscore (). It can only contain Chinese characters, letters, numbers, underscores (), and hyphens (-). Length must be 1–128 characters.
    AllowListType string
    Network protocol type used by the allowlist. Value: IPv4 (default).
    AllowLists []string
    IP addresses included in the allowlist. Supports the following two formats: IP address format, for example: 10.23.12.24. CIDR IP address range format, for example: 10.23.12.0/24 (Classless Inter-Domain Routing, 24 indicates the prefix length, range is 1–32). Note: Each allowlist can add up to 300 IP addresses or IP ranges. If there are many IPs, it is recommended to merge them into IP ranges, such as 10.23.12.0/24. Do not add IP addresses ending with x.x.x.x/0 except for 0.0.0.0/0 to the allowlist. This field cannot be used together with the UserAllowList field.
    AssociatedInstanceNum int
    Number of instances bound to this allowlist.
    AssociatedInstances []GetAllowListAssociatedInstance
    List of instances bound to this allowlist, including instance ID and instance name.
    Id string
    Uniquely identifies the resource.
    IpAddress string
    Query allowlist by IP address. Supports multiple IP addresses separated by commas (,). Note: If the allowlist contains any subset of the provided IP addresses, that allowlist will be returned.
    ModifyMode string
    Allowlist modification mode. Values: Cover (default): overwrite, use the value of the AllowList field to overwrite the original allowlist. Append: add, add the IP addresses in the AllowList field to the original allowlist. Delete: remove, remove the IP addresses in the AllowList field from the original allowlist. At least one IP address must remain. Note: If the allowlist to be modified is bound to a security group, or if you need to bind a security group when modifying the allowlist, ModifyMode can only be set to Cover.
    SecurityGroupBindInfos []GetAllowListSecurityGroupBindInfo
    List of security groups bound to this allowlist.
    UpdateSecurityGroup bool
    Whether to update the security group bound to the allowlist. Values: true: update; false: do not update. Default value.
    UserAllowList string
    IP addresses outside the security group that need to be added to the allowlist. You can enter IP addresses or CIDR IP ranges. Note: This field cannot be used together with the AllowList field.
    allowListCategory String
    Allowlist category. Values: Ordinary: ordinary allowlist; Default: default allowlist. Note: This parameter has no default value when used as a request parameter. If not provided, all categories of allowlists are queried.
    allowListDesc String
    Description of the allowlist. Up to 200 characters. Default value is an empty string.
    allowListId String
    Allowlist ID.
    allowListIpNum Integer
    Number of IP addresses or IP segments in the allowlist.
    allowListName String
    Allowlist naming rules: The allowlist name must be unique within the current region. It must start with a Chinese character, letter, or underscore (). It can only contain Chinese characters, letters, numbers, underscores (), and hyphens (-). Length must be 1–128 characters.
    allowListType String
    Network protocol type used by the allowlist. Value: IPv4 (default).
    allowLists List<String>
    IP addresses included in the allowlist. Supports the following two formats: IP address format, for example: 10.23.12.24. CIDR IP address range format, for example: 10.23.12.0/24 (Classless Inter-Domain Routing, 24 indicates the prefix length, range is 1–32). Note: Each allowlist can add up to 300 IP addresses or IP ranges. If there are many IPs, it is recommended to merge them into IP ranges, such as 10.23.12.0/24. Do not add IP addresses ending with x.x.x.x/0 except for 0.0.0.0/0 to the allowlist. This field cannot be used together with the UserAllowList field.
    associatedInstanceNum Integer
    Number of instances bound to this allowlist.
    associatedInstances List<GetAllowListAssociatedInstance>
    List of instances bound to this allowlist, including instance ID and instance name.
    id String
    Uniquely identifies the resource.
    ipAddress String
    Query allowlist by IP address. Supports multiple IP addresses separated by commas (,). Note: If the allowlist contains any subset of the provided IP addresses, that allowlist will be returned.
    modifyMode String
    Allowlist modification mode. Values: Cover (default): overwrite, use the value of the AllowList field to overwrite the original allowlist. Append: add, add the IP addresses in the AllowList field to the original allowlist. Delete: remove, remove the IP addresses in the AllowList field from the original allowlist. At least one IP address must remain. Note: If the allowlist to be modified is bound to a security group, or if you need to bind a security group when modifying the allowlist, ModifyMode can only be set to Cover.
    securityGroupBindInfos List<GetAllowListSecurityGroupBindInfo>
    List of security groups bound to this allowlist.
    updateSecurityGroup Boolean
    Whether to update the security group bound to the allowlist. Values: true: update; false: do not update. Default value.
    userAllowList String
    IP addresses outside the security group that need to be added to the allowlist. You can enter IP addresses or CIDR IP ranges. Note: This field cannot be used together with the AllowList field.
    allowListCategory string
    Allowlist category. Values: Ordinary: ordinary allowlist; Default: default allowlist. Note: This parameter has no default value when used as a request parameter. If not provided, all categories of allowlists are queried.
    allowListDesc string
    Description of the allowlist. Up to 200 characters. Default value is an empty string.
    allowListId string
    Allowlist ID.
    allowListIpNum number
    Number of IP addresses or IP segments in the allowlist.
    allowListName string
    Allowlist naming rules: The allowlist name must be unique within the current region. It must start with a Chinese character, letter, or underscore (). It can only contain Chinese characters, letters, numbers, underscores (), and hyphens (-). Length must be 1–128 characters.
    allowListType string
    Network protocol type used by the allowlist. Value: IPv4 (default).
    allowLists string[]
    IP addresses included in the allowlist. Supports the following two formats: IP address format, for example: 10.23.12.24. CIDR IP address range format, for example: 10.23.12.0/24 (Classless Inter-Domain Routing, 24 indicates the prefix length, range is 1–32). Note: Each allowlist can add up to 300 IP addresses or IP ranges. If there are many IPs, it is recommended to merge them into IP ranges, such as 10.23.12.0/24. Do not add IP addresses ending with x.x.x.x/0 except for 0.0.0.0/0 to the allowlist. This field cannot be used together with the UserAllowList field.
    associatedInstanceNum number
    Number of instances bound to this allowlist.
    associatedInstances GetAllowListAssociatedInstance[]
    List of instances bound to this allowlist, including instance ID and instance name.
    id string
    Uniquely identifies the resource.
    ipAddress string
    Query allowlist by IP address. Supports multiple IP addresses separated by commas (,). Note: If the allowlist contains any subset of the provided IP addresses, that allowlist will be returned.
    modifyMode string
    Allowlist modification mode. Values: Cover (default): overwrite, use the value of the AllowList field to overwrite the original allowlist. Append: add, add the IP addresses in the AllowList field to the original allowlist. Delete: remove, remove the IP addresses in the AllowList field from the original allowlist. At least one IP address must remain. Note: If the allowlist to be modified is bound to a security group, or if you need to bind a security group when modifying the allowlist, ModifyMode can only be set to Cover.
    securityGroupBindInfos GetAllowListSecurityGroupBindInfo[]
    List of security groups bound to this allowlist.
    updateSecurityGroup boolean
    Whether to update the security group bound to the allowlist. Values: true: update; false: do not update. Default value.
    userAllowList string
    IP addresses outside the security group that need to be added to the allowlist. You can enter IP addresses or CIDR IP ranges. Note: This field cannot be used together with the AllowList field.
    allow_list_category str
    Allowlist category. Values: Ordinary: ordinary allowlist; Default: default allowlist. Note: This parameter has no default value when used as a request parameter. If not provided, all categories of allowlists are queried.
    allow_list_desc str
    Description of the allowlist. Up to 200 characters. Default value is an empty string.
    allow_list_id str
    Allowlist ID.
    allow_list_ip_num int
    Number of IP addresses or IP segments in the allowlist.
    allow_list_name str
    Allowlist naming rules: The allowlist name must be unique within the current region. It must start with a Chinese character, letter, or underscore (). It can only contain Chinese characters, letters, numbers, underscores (), and hyphens (-). Length must be 1–128 characters.
    allow_list_type str
    Network protocol type used by the allowlist. Value: IPv4 (default).
    allow_lists Sequence[str]
    IP addresses included in the allowlist. Supports the following two formats: IP address format, for example: 10.23.12.24. CIDR IP address range format, for example: 10.23.12.0/24 (Classless Inter-Domain Routing, 24 indicates the prefix length, range is 1–32). Note: Each allowlist can add up to 300 IP addresses or IP ranges. If there are many IPs, it is recommended to merge them into IP ranges, such as 10.23.12.0/24. Do not add IP addresses ending with x.x.x.x/0 except for 0.0.0.0/0 to the allowlist. This field cannot be used together with the UserAllowList field.
    associated_instance_num int
    Number of instances bound to this allowlist.
    associated_instances Sequence[GetAllowListAssociatedInstance]
    List of instances bound to this allowlist, including instance ID and instance name.
    id str
    Uniquely identifies the resource.
    ip_address str
    Query allowlist by IP address. Supports multiple IP addresses separated by commas (,). Note: If the allowlist contains any subset of the provided IP addresses, that allowlist will be returned.
    modify_mode str
    Allowlist modification mode. Values: Cover (default): overwrite, use the value of the AllowList field to overwrite the original allowlist. Append: add, add the IP addresses in the AllowList field to the original allowlist. Delete: remove, remove the IP addresses in the AllowList field from the original allowlist. At least one IP address must remain. Note: If the allowlist to be modified is bound to a security group, or if you need to bind a security group when modifying the allowlist, ModifyMode can only be set to Cover.
    security_group_bind_infos Sequence[GetAllowListSecurityGroupBindInfo]
    List of security groups bound to this allowlist.
    update_security_group bool
    Whether to update the security group bound to the allowlist. Values: true: update; false: do not update. Default value.
    user_allow_list str
    IP addresses outside the security group that need to be added to the allowlist. You can enter IP addresses or CIDR IP ranges. Note: This field cannot be used together with the AllowList field.
    allowListCategory String
    Allowlist category. Values: Ordinary: ordinary allowlist; Default: default allowlist. Note: This parameter has no default value when used as a request parameter. If not provided, all categories of allowlists are queried.
    allowListDesc String
    Description of the allowlist. Up to 200 characters. Default value is an empty string.
    allowListId String
    Allowlist ID.
    allowListIpNum Number
    Number of IP addresses or IP segments in the allowlist.
    allowListName String
    Allowlist naming rules: The allowlist name must be unique within the current region. It must start with a Chinese character, letter, or underscore (). It can only contain Chinese characters, letters, numbers, underscores (), and hyphens (-). Length must be 1–128 characters.
    allowListType String
    Network protocol type used by the allowlist. Value: IPv4 (default).
    allowLists List<String>
    IP addresses included in the allowlist. Supports the following two formats: IP address format, for example: 10.23.12.24. CIDR IP address range format, for example: 10.23.12.0/24 (Classless Inter-Domain Routing, 24 indicates the prefix length, range is 1–32). Note: Each allowlist can add up to 300 IP addresses or IP ranges. If there are many IPs, it is recommended to merge them into IP ranges, such as 10.23.12.0/24. Do not add IP addresses ending with x.x.x.x/0 except for 0.0.0.0/0 to the allowlist. This field cannot be used together with the UserAllowList field.
    associatedInstanceNum Number
    Number of instances bound to this allowlist.
    associatedInstances List<Property Map>
    List of instances bound to this allowlist, including instance ID and instance name.
    id String
    Uniquely identifies the resource.
    ipAddress String
    Query allowlist by IP address. Supports multiple IP addresses separated by commas (,). Note: If the allowlist contains any subset of the provided IP addresses, that allowlist will be returned.
    modifyMode String
    Allowlist modification mode. Values: Cover (default): overwrite, use the value of the AllowList field to overwrite the original allowlist. Append: add, add the IP addresses in the AllowList field to the original allowlist. Delete: remove, remove the IP addresses in the AllowList field from the original allowlist. At least one IP address must remain. Note: If the allowlist to be modified is bound to a security group, or if you need to bind a security group when modifying the allowlist, ModifyMode can only be set to Cover.
    securityGroupBindInfos List<Property Map>
    List of security groups bound to this allowlist.
    updateSecurityGroup Boolean
    Whether to update the security group bound to the allowlist. Values: true: update; false: do not update. Default value.
    userAllowList String
    IP addresses outside the security group that need to be added to the allowlist. You can enter IP addresses or CIDR IP ranges. Note: This field cannot be used together with the AllowList field.

    Supporting Types

    GetAllowListAssociatedInstance

    InstanceId string
    Instance ID.
    InstanceName string
    Instance name.
    Vpc string
    VPC ID to which the instance belongs.
    InstanceId string
    Instance ID.
    InstanceName string
    Instance name.
    Vpc string
    VPC ID to which the instance belongs.
    instanceId String
    Instance ID.
    instanceName String
    Instance name.
    vpc String
    VPC ID to which the instance belongs.
    instanceId string
    Instance ID.
    instanceName string
    Instance name.
    vpc string
    VPC ID to which the instance belongs.
    instance_id str
    Instance ID.
    instance_name str
    Instance name.
    vpc str
    VPC ID to which the instance belongs.
    instanceId String
    Instance ID.
    instanceName String
    Instance name.
    vpc String
    VPC ID to which the instance belongs.

    GetAllowListSecurityGroupBindInfo

    BindMode string
    Mode for associating security groups. Values: IngressDirectionIp: inbound IP. AssociateEcsIp: associate ECS IP.
    IpLists List<string>
    IP address list in the security group.
    SecurityGroupId string
    Security group ID.
    SecurityGroupName string
    Security group name.
    BindMode string
    Mode for associating security groups. Values: IngressDirectionIp: inbound IP. AssociateEcsIp: associate ECS IP.
    IpLists []string
    IP address list in the security group.
    SecurityGroupId string
    Security group ID.
    SecurityGroupName string
    Security group name.
    bindMode String
    Mode for associating security groups. Values: IngressDirectionIp: inbound IP. AssociateEcsIp: associate ECS IP.
    ipLists List<String>
    IP address list in the security group.
    securityGroupId String
    Security group ID.
    securityGroupName String
    Security group name.
    bindMode string
    Mode for associating security groups. Values: IngressDirectionIp: inbound IP. AssociateEcsIp: associate ECS IP.
    ipLists string[]
    IP address list in the security group.
    securityGroupId string
    Security group ID.
    securityGroupName string
    Security group name.
    bind_mode str
    Mode for associating security groups. Values: IngressDirectionIp: inbound IP. AssociateEcsIp: associate ECS IP.
    ip_lists Sequence[str]
    IP address list in the security group.
    security_group_id str
    Security group ID.
    security_group_name str
    Security group name.
    bindMode String
    Mode for associating security groups. Values: IngressDirectionIp: inbound IP. AssociateEcsIp: associate ECS IP.
    ipLists List<String>
    IP address list in the security group.
    securityGroupId String
    Security group ID.
    securityGroupName String
    Security group name.

    Package Details

    Repository
    volcenginecc volcengine/pulumi-volcenginecc
    License
    MPL-2.0
    Notes
    This Pulumi package is based on the volcenginecc Terraform Provider.
    volcenginecc logo
    Viewing docs for volcenginecc v0.0.32
    published on Thursday, Apr 23, 2026 by Volcengine
      Try Pulumi Cloud free. Your team will thank you.